<?php

/*
*	Typography Helper functions
*
* 	@version	1.0
* 	@author		Euthemians Team
* 	@URI		http://euthemians.com
*/

function fildisi_eutf_print_typography_responsive( $fildisi_eutf_responsive_fonts = array() , $threshold = 35, $ratio = 0.7) {

	$css = '';

	if ( !empty( $fildisi_eutf_responsive_fonts ) && $ratio < 1 ) {

		foreach ( $fildisi_eutf_responsive_fonts as $font ) {
			$fildisi_eutf_size = fildisi_eutf_option( $font['id'], '32px', 'font-size'  );
			$fildisi_eutf_size = filter_var( $fildisi_eutf_size, FILTER_SANITIZE_NUMBER_INT );
			$line_height = fildisi_eutf_option( $font['id'], '32px', 'line-height'  );
			$line_height = filter_var( $line_height, FILTER_SANITIZE_NUMBER_INT );

			if ( $fildisi_eutf_size >= $threshold ) {
				$custom_line_height = $line_height / $fildisi_eutf_size;
				$custom_size = $fildisi_eutf_size * $ratio;

				if ( 'link_text' == $font['id'] ) {
					$css .= $font['selector'] . " {
						font-size: " . round( $custom_size, 0 ) . "px !important;
						line-height: " . round( $custom_line_height, 2 ) . "em;
					}
					";
				} else {
					$css .= $font['selector'] . " {
						font-size: " . round( $custom_size, 0 ) . "px;
						line-height: " . round( $custom_line_height, 2 ) . "em;
					}
					";
				}
			}

			if ( isset( $font['custom_selector'] ) ) {
				$sizes = array( '120', '140', '160', '180', '200', '250', '300' );
				foreach ( $sizes as $size ) {
					$custom_size = $fildisi_eutf_size * ( $size / 100 );
					if ( $custom_size >= $threshold ) {
						if ( '250' == $size || '300' == $size ) {
							$custom_size = $fildisi_eutf_size * ( $ratio / 1.7 );
						} elseif ( '200' == $size ) {
							$custom_size = $fildisi_eutf_size * ( $ratio / 1.4 );
						} else {
							$custom_size = $fildisi_eutf_size * ( $ratio / 1.15 );
						}
						$css .= $font['custom_selector'] . ".eut-heading-" . esc_attr( $size ) ." {
							font-size: " . round( $custom_size, 0 ) . "px;
						}
						";
					}
				}
			}

		}

	}

	return $css;
}


//Omit closing PHP tag to avoid accidental whitespace output errors.
