<?php
/*
*	Admin Functions
*
* 	@author		Euthemians Team
* 	@URI		http://euthemians.com
*/

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

function fildisi_ext_admin_menu(){
	if ( current_user_can( 'edit_theme_options' ) ) {
		if ( function_exists( 'fildisi_eutf_info') ) {
			add_submenu_page( 'fildisi', esc_html__('Custom Codes','fildisi-extension'), esc_html__('Custom Codes','fildisi-extension'), 'edit_theme_options', 'fildisi-codes', 'fildisi_ext_admin_page_html_codes' );
		} else {
			add_menu_page( 'Fildisi', 'Fildisi', 'edit_theme_options', 'fildisi', 'fildisi_ext_admin_page_html_codes', FILDISI_EXT_PLUGIN_DIR_URL .'assets/images/adminmenu/theme.png', 4 );
			add_submenu_page( 'fildisi', esc_html__('Custom Codes','fildisi-extension'), esc_html__('Custom Codes','fildisi-extension'), 'edit_theme_options', 'fildisi-codes', 'fildisi_ext_admin_page_html_codes' );
		}
	}
}
add_action( 'admin_menu', 'fildisi_ext_admin_menu', 11 );


function fildisi_ext_admin_page_html_codes(){
	require_once FILDISI_EXT_PLUGIN_DIR_PATH . 'includes/admin/fildisi-ext-admin-page-codes.php';
}

function fildisi_ext_admin_links( $active_tab = 'status' ){
?>
	<a href="?page=fildisi-codes" class="nav-tab <?php echo 'codes' == $active_tab ? 'nav-tab-active' : ''; ?>"><?php echo esc_html__('Custom Codes','fildisi-extension'); ?></a>
<?php
}
add_action( 'fildisi_eutf_admin_links', 'fildisi_ext_admin_links' );

function fildisi_ext_add_settings() {

	if ( isset( $_POST['_fildisi_ext_options_nonce_save'] ) && wp_verify_nonce( $_POST['_fildisi_ext_options_nonce_save'], 'fildisi_ext_options_nonce_save' ) ) {

		if ( isset( $_POST['fildisi_eutf_ext_options'] ) ) {
			$options = get_option('fildisi_eutf_ext_options');

			$keys = array_keys( $_POST['fildisi_eutf_ext_options'] );
			foreach ( $keys as $key ) {
				if ( isset( $_POST['fildisi_eutf_ext_options'][$key] ) ) {
					$options[$key] = $_POST['fildisi_eutf_ext_options'][$key];
				}
			}
			if ( empty( $options ) ) {
				delete_option( 'fildisi_eutf_ext_options' );
			} else {
				update_option( 'fildisi_eutf_ext_options', $options );
			}
		}
		wp_safe_redirect( 'admin.php?page=fildisi-codes&ext-settings=saved' );
	}
}
add_action( 'admin_menu', 'fildisi_ext_add_settings' );



if ( !function_exists('fildisi_ext_print_head_code') ) {
	function fildisi_ext_print_head_code() {
		$options = get_option('fildisi_eutf_ext_options');
		$code = fildisi_ext_vce_array_value( $options, 'head_code' );
		if ( !empty( $code ) ) {
			echo wp_unslash( $code );
		}
	}
}
add_action('wp_head', 'fildisi_ext_print_head_code');

if ( !function_exists('fildisi_ext_print_body_code') ) {
	function fildisi_ext_print_body_code() {
		$options = get_option('fildisi_eutf_ext_options');
		$code = fildisi_ext_vce_array_value( $options, 'body_code' );
		if ( !empty( $code ) ) {
			echo wp_unslash( $code );
		}
	}
}
add_action('fildisi_eutf_body_top', 'fildisi_ext_print_body_code');


if ( !function_exists('fildisi_ext_print_footer_code') ) {
	function fildisi_ext_print_footer_code() {
		$options = get_option('fildisi_eutf_ext_options');
		$code = fildisi_ext_vce_array_value( $options, 'footer_code' );
		if ( !empty( $code ) ) {
			echo wp_unslash( $code );
		}
	}
}
add_action('wp_footer', 'fildisi_ext_print_footer_code');

//Omit closing PHP tag to avoid accidental whitespace output errors.
